Package org.silverpeas.mobile.shared.services.rest

## Interface ServiceWorkflow

- All Superinterfaces:
    `org.fusesource.restygwt.client.RestService`

      @Path("/mobile/workflow")
      public interface ServiceWorkflow
      extends org.fusesource.restygwt.client.RestService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `getActionForm​(String appId, String instanceId, String role, String action, org.fusesource.restygwt.client.MethodCallback<WorkflowFormActionDTO> callback)` |
    `void` | `getDataInstances​(String appId, String userRole, org.fusesource.restygwt.client.MethodCallback<WorkflowDataDTO> callback)` |
    `void` | `getPresentationForm​(String appId, String instanceId, String role, org.fusesource.restygwt.client.MethodCallback<WorkflowInstancePresentationFormDTO> callback)` |
    `void` | `getUserField​(String appId, String instanceId, String actionName, String fieldName, String role, org.fusesource.restygwt.client.MethodCallback<List<BaseDTO>> callback)` |
    `void` | `getWorkflowInstances​(String appId, String userRole, int callNumber, org.fusesource.restygwt.client.MethodCallback<StreamingList<WorkflowInstanceDTO>> callback)` |

- - ### Method Detail

    - #### getUserField

          @GET
          @Produces("application/json")
          @Path("{appId}/userField/{instanceId}/{actionName}/{fieldName}/{role}")
          void getUserField​(@PathParam("appId")
                            String appId,
                            @PathParam("instanceId")
                            String instanceId,
                            @PathParam("actionName")
                            String actionName,
                            @PathParam("fieldName")
                            String fieldName,
                            @PathParam("role")
                            String role,
                            org.fusesource.restygwt.client.MethodCallback<List<BaseDTO>> callback)

    - #### getWorkflowInstances

          @GET
          @Produces("application/json")
          @Path("{appId}/instances/{role}/{callNumber}")
          void getWorkflowInstances​(@PathParam("appId")
                                    String appId,
                                    @PathParam("role")
                                    String userRole,
                                    @PathParam("callNumber")
                                    int callNumber,
                                    org.fusesource.restygwt.client.MethodCallback<StreamingList<WorkflowInstanceDTO>> callback)

    - #### getDataInstances

          @GET
          @Produces("application/json")
          @Path("{appId}/datainstances/{role}")
          void getDataInstances​(@PathParam("appId")
                                String appId,
                                @PathParam("role")
                                String userRole,
                                org.fusesource.restygwt.client.MethodCallback<WorkflowDataDTO> callback)

    - #### getPresentationForm

          @GET
          @Produces("application/json")
          @Path("{appId}/presentationForm/{instanceId}/{role}")
          void getPresentationForm​(@PathParam("appId")
                                   String appId,
                                   @PathParam("instanceId")
                                   String instanceId,
                                   @PathParam("role")
                                   String role,
                                   org.fusesource.restygwt.client.MethodCallback<WorkflowInstancePresentationFormDTO> callback)

    - #### getActionForm

          @GET
          @Produces("application/json")
          @Path("{appId}/actionForm/{instanceId}/{role}/{action}")
          void getActionForm​(@PathParam("appId")
                             String appId,
                             @PathParam("instanceId")
                             String instanceId,
                             @PathParam("role")
                             String role,
                             @PathParam("action")
                             String action,
                             org.fusesource.restygwt.client.MethodCallback<WorkflowFormActionDTO> callback)